import numpy as np

ls = 299792458. # light speed

cmplx = complex(0.,1.)

# convert Freqency [MHz] to (wavelength [m])^2
def FtoL2(freq):
    return (ls/freq*1.e-6)**2

# convert (wavelength [m])^2 to Freqency [MHz]
def L2toF(lam2):
    return ls/np.sqrt(lam2)*1.e-6

def src_delta(lamsq,phi,amp,evpa):
    #return amp*np.exp(2.*cmplx*(phi*lamsq+evpa))
    return amp*np.cos(2.*(evpa+phi*lamsq))+amp*np.sin(2.*(evpa+phi*lamsq))*1j

def src_gauss(lamsq,phi,amp,evpa,dphi):
    return amp*np.exp(-2.*dphi**2*lamsq**2)*np.exp(2.*cmplx*(phi*lamsq+evpa))

def src_boxcar(lamsq,phi,amp,evpa,dphi):
    return amp*np.sin(dphi*lamsq)/lamsq*np.exp(2.*cmplx*(phi*lamsq+evpa))

def add_noise(Ndata,sigma):
    return np.random.normal(0,sigma,size=Ndata)+1j*np.random.normal(0,sigma,size=Ndata)
