import numpy as np
import functions as f

ls = 299792458. # light speed

lam  = np.arange(1.e-3,10,1.e-3)
freq = f.L2toF(lam)

err    = 1.
arrerr = np.full(len(freq),err)


# delta x 1
tmp = f.src_delta(lam,20.,2.,30.*np.pi/180.) + f.add_noise(len(lam),err)
tmp2 = np.array([lam,tmp.real,tmp.imag,arrerr,arrerr])
np.savetxt('data/d1.txt',tmp2.T)

# delta x 2
tmp = f.src_delta(lam,20.,2.,30.*np.pi/180.) + f.src_delta(lam,42.,2.5,-60.*np.pi/180.) + f.add_noise(len(lam),err)
tmp2 = np.array([lam,tmp.real,tmp.imag,arrerr,arrerr])
np.savetxt('data/d2.txt',tmp2.T)

# gauss x 1a
tmp = f.src_gauss(lam,20.,2.,30.*np.pi/180.,11.) + f.add_noise(len(lam),err)
tmp2 = np.array([lam,tmp.real,tmp.imag,arrerr,arrerr])
np.savetxt('data/g1a.txt',tmp2.T)

# gauss x 1b
tmp = f.src_gauss(lam,20.,2.,30.*np.pi/180.,22.) + f.add_noise(len(lam),err)
tmp2 = np.array([lam,tmp.real,tmp.imag,arrerr,arrerr])
np.savetxt('data/g1b.txt',tmp2.T)

# gauss x 1c
tmp = f.src_gauss(lam,20.,2.,30.*np.pi/180.,44.) + f.add_noise(len(lam),err)
tmp2 = np.array([lam,tmp.real,tmp.imag,arrerr,arrerr])
np.savetxt('data/g1c.txt',tmp2.T)

# gauss x 2
tmp = f.src_gauss(lam,20.,2.,30.*np.pi/180.,22.) + f.src_gauss(lam,42.,2.5,60.*np.pi/180.,11.) + f.add_noise(len(lam),err)
tmp2 = np.array([lam,tmp.real,tmp.imag,arrerr,arrerr])
np.savetxt('data/g2.txt',tmp2.T)
